:root {
  --primary: #7c42e2;
  --text-dark: #000000;
  --bg-light: #f6f7fb;
}

body {
  font-family: "Montserrat", sans-serif;
  color: var(--text-dark);
  background: var(--bg-light);
}
.pt80{
    padding-top:80px;
}
.pb80{
    padding-bottom:80px;
}
.bg-lite {
    background-image: linear-gradient(to top, #c5dcff, #ffffff);
}
.navbar-brand img {
  height: 60px;
}

.hero {

  background: #d0ebff;
  text-align: center;
}

.hero h1 {
  font-weight: 700;
  font-size: 2.8rem;
}

.hero p {
  margin: 20px auto;
  font-size: 1.1rem;
}

.feature-card {
  background: #fff;
  padding: 13px;
  border-radius: 14px;
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.05);
  height: 100%;
}

footer {
  background: #fff;
  text-align: center;
  padding: 25px;
  font-weight: 500;
}

.banner {
  margin-top: 75px;
}
.banner img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.carousel-fade .carousel-item {
  transition: opacity 1s ease-in-out;
}

@media (max-width: 767px) {
  .banner img {
    max-height: 320px;
  }
}

@media (min-width: 768px) {
  .banner img {
    max-height: 520px;
  }
}

/* === Page Loader === */
.page-loader {
  position: fixed;
  inset: 0;
  background: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  transition:
    opacity 0.6s ease,
    visibility 600s ease;
}

.page-loader.fade-out {
  opacity: 0;
  visibility: hidden;
}

.loader-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.loader-logo {
  width: 220px;
  height: auto;
  animation: fadeIn 1s ease-in-out;
}
@media (max-width: 768px) {
  .loader-logo {
    width: 150px;
  }
}

/* Spinner */
.spinner {
  width: 40px;
  height: 40px;
  border: 6px solid rgba(89, 134, 220, 0.2); /* optional lighter ring */
  border-top: 6px solid #5986dc; /* spinner color */
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Hide content until ready */
body.loading {
  overflow: hidden;
  visibility: hidden;
}

body.ready {
  overflow: auto;
  visibility: visible;
}
